import request from '@/utils/request'
import { smart } from '@/api/commonApi'
// 设备分类设置

// 设备分类-- 列表
export function getClassifyList (data) {
  return request({
    url: smart + `/basic-device-classify/getPageList`,
    method: 'post',
    data
  })
}
// 设备分类-- 新增分类
export function addClassifyItem (data) {
  return request({
    url: smart + `/basic-device-classify/save`,
    method: 'post',
    data
  })
}

// 设备分类--上主菜单(一级父级)
export function getParentList (classifyName) {
  return request({
    url: smart + `/basic-device-classify/getParentList`,
    method: 'get',
    params: {classifyName}
  })
}
